<!DOCTYPE html>
<html><head><title>services\todoStorage.js
 - Stryker report</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<link rel="stylesheet" href="../strykerResources/bootstrap/css/bootstrap.min.css">
<link rel="stylesheet" href="../strykerResources/highlightjs/styles/default.css">
<link rel="stylesheet" href="../strykerResources/stryker.css"></head>
<body><img class="stryker-image" alt="Stryker" src="../strykerResources/stryker-80x80.png">
<div class="container-fluid"><div class="row"><div class="col-lg-12"><h1 class="display-4">services\todoStorage.js
 
<small class="text-muted">- Stryker report</small></h1></div></div>
<ol class="breadcrumb"><li class="breadcrumb-item"><a href="../index.html">All files</a></li>
<li class="breadcrumb-item active">services\todoStorage.js</li></ol>
<div class="row"><div class="col-lg-12"><div class="row"><div class="col-sm-11"><table class="table table-sm table-hover table-bordered table-no-top"><thead><tr><th style="width: 20%"><div><span>File / Directory</span></div></th>
<th colspan="2"><div><span>Mutation score</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Killed</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Survived</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Timeout</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># No coverage</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Runtime errors</span></div></th>
<th class="rotate text-center" style="width: 50px"><div><span># Transpile errors</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total detected</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total undetected</span></div></th>
<th class="rotate rotate-width-70 text-center" style="width: 70px"><div><span>Total mutants</span></div></th></tr></thead>
<tbody><tr><td>services\todoStorage.js</td>
<td><div class="progress"><div class="progress-bar bg-danger" role="progressbar" aria-valuenow="29.63" aria-valuemin="0" aria-valuemax="100" style="width: 29.63%;">29.63
%</div></div></td>
<th class="text-center text-danger" style="width: 10%">29.63</th>
<td class="text-center">6</td>
<td class="text-center">7</td>
<td class="text-center">2</td>
<td class="text-center">12</td>
<td class="text-center">0</td>
<td class="text-center">0</td>
<th class="text-center">8</th>
<th class="text-center">19</th>
<th class="text-center">27</th></tr>
</tbody></table></div></div>
<div class="row"><div class="col-lg-7"><div class="row legend"><form class="col-md-12" novalidate="novalidate"><div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" checked value="0" type="checkbox">
NoCoverage
 
(12)</label></div>
<div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" checked value="2" type="checkbox">
Survived
 
(7)</label></div>
<div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" value="1" type="checkbox">
Killed
 
(6)</label></div>
<div class="form-check form-check-inline"><label class="form-check-label"><input class="form-check-input stryker-display" value="3" type="checkbox">
TimedOut
 
(2)</label></div>


<a href="#" class="stryker-collapse-expand-all">Expand all</a></form></div>
<pre><code class="lang-javascript"><span class="bg-null">/*global angular */

/**
 * Services that persists and retrieves todos from localStorage or a backend API
 * if available.
 *
 * They both follow the same API, returning promises for all changes to the
 * model.
 */
angular.module(&#039;todomvc&#039;)
	.factory(&#039;todoStorage&#039;, function ($http, $injector) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="0"><span class="badge badge-danger">0</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="0">{
}</span><span class="stryker-original-code" data-mutant="0"><span class="bg-danger-light">{
		&#039;use strict&#039;;

		// Detect if an API backend is present. If so, return the API module, else
		// hand off the localStorage adapter
		return $http.get(&#039;/api&#039;)
			.then(function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="1"><span class="badge badge-warning">1</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="1">{
}</span><span class="stryker-original-code" data-mutant="1"><span class="bg-danger-light">{
				return $injector.get(&#039;api&#039;);
			}</span></span><span class="bg-danger-light">, function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="2"><span class="badge badge-danger">2</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="2">{
}</span><span class="stryker-original-code" data-mutant="2"><span class="bg-danger-light">{
				return $injector.get(&#039;localStorage&#039;);
			}</span></span><span class="bg-danger-light">);
	}</span></span><span class="bg-null">)

	.factory(&#039;api&#039;, function ($resource) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="3"><span class="badge badge-danger">3</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="3">{
}</span><span class="stryker-original-code" data-mutant="3"><span class="bg-danger-light">{
		&#039;use strict&#039;;

		var store = {
			todos: [],

			api: $resource(&#039;/api/todos/:id&#039;, null,
				{
					update: { method:&#039;PUT&#039; }
				}
			),

			clearCompleted: function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="4"><span class="badge badge-danger">4</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="4">{
}</span><span class="stryker-original-code" data-mutant="4"><span class="bg-danger-light">{
				var originalTodos = store.todos.slice(0);

				var incompleteTodos = store.todos.filter(function (todo) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="5"><span class="badge badge-danger">5</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="5">{
}</span><span class="stryker-original-code" data-mutant="5"><span class="bg-danger-light">{
					return </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BooleanSubstitution" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="6"><span class="badge badge-danger">6</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="6">todo.completed</span><span class="stryker-original-code" data-mutant="6"><span class="bg-danger-light">!todo.completed</span></span><span class="bg-danger-light">;
				}</span></span><span class="bg-danger-light">);

				angular.copy(incompleteTodos, store.todos);

				return store.api.delete(function () {
					}, function error() </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="7"><span class="badge badge-danger">7</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="7">{
}</span><span class="stryker-original-code" data-mutant="7"><span class="bg-danger-light">{
						angular.copy(originalTodos, store.todos);
					}</span></span><span class="bg-danger-light">);
			}</span></span><span class="bg-danger-light">,

			delete: function (todo) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="8"><span class="badge badge-danger">8</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="8">{
}</span><span class="stryker-original-code" data-mutant="8"><span class="bg-danger-light">{
				var originalTodos = store.todos.slice(0);

				store.todos.splice(store.todos.indexOf(todo), 1);
				return store.api.delete({ id: todo.id },
					function () {
					}, function error() </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="9"><span class="badge badge-danger">9</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="9">{
}</span><span class="stryker-original-code" data-mutant="9"><span class="bg-danger-light">{
						angular.copy(originalTodos, store.todos);
					}</span></span><span class="bg-danger-light">);
			}</span></span><span class="bg-danger-light">,

			get: function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="10"><span class="badge badge-danger">10</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="10">{
}</span><span class="stryker-original-code" data-mutant="10"><span class="bg-danger-light">{
				return store.api.query(function (resp) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="11"><span class="badge badge-danger">11</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="11">{
}</span><span class="stryker-original-code" data-mutant="11"><span class="bg-danger-light">{
					angular.copy(resp, store.todos);
				}</span></span><span class="bg-danger-light">);
			}</span></span><span class="bg-danger-light">,

			insert: function (todo) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="12"><span class="badge badge-danger">12</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="12">{
}</span><span class="stryker-original-code" data-mutant="12"><span class="bg-danger-light">{
				var originalTodos = store.todos.slice(0);

				return store.api.save(todo,
					function success(resp) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="13"><span class="badge badge-danger">13</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="13">{
}</span><span class="stryker-original-code" data-mutant="13"><span class="bg-danger-light">{
						todo.id = resp.id;
						store.todos.push(todo);
					}</span></span><span class="bg-danger-light">, function error() </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="14"><span class="badge badge-danger">14</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="14">{
}</span><span class="stryker-original-code" data-mutant="14"><span class="bg-danger-light">{
						angular.copy(originalTodos, store.todos);
					}</span></span><span class="bg-danger-light">)
					.$promise;
			}</span></span><span class="bg-danger-light">,

			put: function (todo) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: NoCoverage" data-mutant-status-annotation="danger" data-mutant-status="0" data-mutant="15"><span class="badge badge-danger">15</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="15">{
}</span><span class="stryker-original-code" data-mutant="15"><span class="bg-danger-light">{
				return store.api.update({ id: todo.id }, todo)
					.$promise;
			}</span></span><span class="bg-danger-light">
		};

		return store;
	}</span></span><span class="bg-null">)

	.factory(&#039;localStorage&#039;, function ($q) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="16"><span class="badge badge-success">16</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="16">{
}</span><span class="stryker-original-code" data-mutant="16"><span class="bg-success-light">{
		&#039;use strict&#039;;

		var STORAGE_ID = &#039;todos-angularjs&#039;;

		var store = {
			todos: [],

			_getFromLocalStorage: function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="17"><span class="badge badge-danger">17</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="17">{
}</span><span class="stryker-original-code" data-mutant="17"><span class="bg-danger-light">{
				return JSON.parse(</span><a href="#" class="stryker-mutant-button" tabindex="0" title="LogicalOperator" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="18"><span class="badge badge-danger">18</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="18">localStorage.getItem(STORAGE_ID) &amp;&amp; &#039;[]&#039;</span><span class="stryker-original-code" data-mutant="18"><span class="bg-danger-light">localStorage.getItem(STORAGE_ID) || &#039;[]&#039;</span></span><span class="bg-danger-light">);
			}</span></span><span class="bg-success-light">,

			_saveToLocalStorage: function (todos) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="19"><span class="badge badge-danger">19</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="19">{
}</span><span class="stryker-original-code" data-mutant="19"><span class="bg-danger-light">{
				localStorage.setItem(STORAGE_ID, JSON.stringify(todos));
			}</span></span><span class="bg-success-light">,

			clearCompleted: function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: TimedOut" data-mutant-status-annotation="warning" data-mutant-status="3" data-mutant="20"><span class="badge badge-warning">20</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="20">{
}</span><span class="stryker-original-code" data-mutant="20"><span class="bg-warning-light">{
				var deferred = $q.defer();

				var incompleteTodos = store.todos.filter(function (todo) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="21"><span class="badge badge-success">21</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="21">{
}</span><span class="stryker-original-code" data-mutant="21"><span class="bg-warning-light">{
					return </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BooleanSubstitution" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="22"><span class="badge badge-success">22</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="22">todo.completed</span><span class="stryker-original-code" data-mutant="22"><span class="bg-warning-light">!todo.completed</span></span><span class="bg-warning-light">;
				}</span></span><span class="bg-warning-light">);

				angular.copy(incompleteTodos, store.todos);

				store._saveToLocalStorage(store.todos);
				deferred.resolve(store.todos);

				return deferred.promise;
			}</span></span><span class="bg-success-light">,

			delete: function (todo) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="23"><span class="badge badge-success">23</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="23">{
}</span><span class="stryker-original-code" data-mutant="23"><span class="bg-success-light">{
				var deferred = $q.defer();

				store.todos.splice(store.todos.indexOf(todo), 1);

				store._saveToLocalStorage(store.todos);
				deferred.resolve(store.todos);

				return deferred.promise;
			}</span></span><span class="bg-success-light">,

			get: function () </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Survived" data-mutant-status-annotation="danger" data-mutant-status="2" data-mutant="24"><span class="badge badge-danger">24</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="24">{
}</span><span class="stryker-original-code" data-mutant="24"><span class="bg-danger-light">{
				var deferred = $q.defer();

				angular.copy(store._getFromLocalStorage(), store.todos);
				deferred.resolve(store.todos);

				return deferred.promise;
			}</span></span><span class="bg-success-light">,

			insert: function (todo) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="25"><span class="badge badge-success">25</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="25">{
}</span><span class="stryker-original-code" data-mutant="25"><span class="bg-success-light">{
				var deferred = $q.defer();

				store.todos.push(todo);

				store._saveToLocalStorage(store.todos);
				deferred.resolve(store.todos);

				return deferred.promise;
			}</span></span><span class="bg-success-light">,

			put: function (todo, index) </span><a href="#" class="stryker-mutant-button" tabindex="0" title="BlockStatement" data-content="status: Killed" data-mutant-status-annotation="success" data-mutant-status="1" data-mutant="26"><span class="badge badge-success">26</span></a><span class="badge badge-info stryker-mutant-replacement" hidden="hidden" data-mutant="26">{
}</span><span class="stryker-original-code" data-mutant="26"><span class="bg-success-light">{
				var deferred = $q.defer();

				store.todos[index] = todo;

				store._saveToLocalStorage(store.todos);
				deferred.resolve(store.todos);

				return deferred.promise;
			}</span></span><span class="bg-success-light">
		};

		return store;
	}</span></span><span class="bg-null">);</span>
</code></pre></div>
<div class="col-lg-5"><table class="table table-sm table-hover mutant-table"><thead><tr><th>#</th>
<th>Mutator</th>
<th>State</th>
<th>Location</th>
<th>Original</th>
<th>Replacement</th></tr></thead>
<tbody><tr><th>0</th>
<td>BlockStatement</td>
<td>Survived</td>
<td>10
:
53</td>
<td><code>{
		...;
	}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>1</th>
<td>BlockStatement</td>
<td>TimedOut</td>
<td>16
:
21</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>2</th>
<td>BlockStatement</td>
<td>Survived</td>
<td>18
:
18</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>3</th>
<td>BlockStatement</td>
<td>Survived</td>
<td>23
:
38</td>
<td><code>{
		...;
	}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>4</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>35
:
31</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>5</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>38
:
61</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>6</th>
<td>BooleanSubstitution</td>
<td>NoCoverage</td>
<td>39
:
12</td>
<td><code>!    .</code></td>
<td><code>.</code></td></tr>
<tr><th>7</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>45
:
25</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>8</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>50
:
27</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>9</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>56
:
25</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>10</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>61
:
20</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>11</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>62
:
43</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>12</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>67
:
27</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>13</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>71
:
28</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>14</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>74
:
25</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>15</th>
<td>BlockStatement</td>
<td>NoCoverage</td>
<td>80
:
24</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>16</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>89
:
40</td>
<td><code>{
		...;
	}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>17</th>
<td>BlockStatement</td>
<td>Survived</td>
<td>97
:
37</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>18</th>
<td>LogicalOperator</td>
<td>Survived</td>
<td>98
:
22</td>
<td><code>.    ... '[]'</code></td>
<td><code>.    ... '[]'</code></td></tr>
<tr><th>19</th>
<td>BlockStatement</td>
<td>Survived</td>
<td>101
:
41</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>20</th>
<td>BlockStatement</td>
<td>TimedOut</td>
<td>105
:
31</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>21</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>108
:
61</td>
<td><code>{
		...				}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>22</th>
<td>BooleanSubstitution</td>
<td>Killed</td>
<td>109
:
12</td>
<td><code>!    .</code></td>
<td><code>.</code></td></tr>
<tr><th>23</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>120
:
27</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>24</th>
<td>BlockStatement</td>
<td>Survived</td>
<td>131
:
20</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>25</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>140
:
27</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr>
<tr><th>26</th>
<td>BlockStatement</td>
<td>Killed</td>
<td>151
:
31</td>
<td><code>{
		...
			}</code></td>
<td><code>{
}</code></td></tr></tbody></table></div></div></div></div>
<footer>Generated with stryker-html-reporter generator. Visit the 
<a href="http://stryker-mutator.github.io" target="_blank">Stryker website</a></footer></div>
<script src="../strykerResources/popper.js/dist/umd/popper.min.js" defer="defer"></script>
<script src="../strykerResources/jquery/dist/jquery.slim.min.js" defer="defer"></script>
<script src="../strykerResources/bootstrap/js/bootstrap.min.js" defer="defer"></script>
<script src="../strykerResources/stryker.js" defer="defer"></script></body></html>